### Function

# Camel search_util_hash_message_id

since: 3.58

#### Declaration [src]

    guint64
    camel_search_util_hash_message_id (
      const gchar* message_id,
      gboolean needs_decode
    )

#### Description [src]

Calculates a hash of the Message-ID header value `message_id`.

Available since: 3.58

#### Parameters

`message_id`

  Type: `const gchar*`

  A raw Message-ID header value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`needs_decode`

  Type: `gboolean`

  Whether the `message_id` requires `camel_header_msgid_decode()` first.

#### Return value

Type: `guint64`

Hash of the `message_id`, or 0 on any error.